Package org.opensaml.spring.httpclient

# Class HttpClientSecurityParametersMergingFactoryBean

java.lang.Object
org.opensaml.spring.httpclient.HttpClientSecurityParametersMergingFactoryBean

All Implemented Interfaces:
  `FactoryBean<HttpClientSecurityParameters>`

public class HttpClientSecurityParametersMergingFactoryBean extends Object implements FactoryBean<HttpClientSecurityParameters>
Factory bean which accepts a list of `HttpClientSecurityParameters` and merges their properties together to produce a single instance.

Order of precedence is: first parameters instance in the list with a non-null value for the given property wins.

## Field Summary

Fields
Modifier and Type
Field
Description
`private List<HttpClientSecurityParameters>`
`parameters`
The list of input parameters to merge.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`HttpClientSecurityParametersMergingFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`HttpClientSecurityParameters`
`getObject()`
`Class<?>`
`getObjectType()`
`List<HttpClientSecurityParameters>`
`getParameters()`
Get the list of input parameters to merge.
`void`
`setParameters(List<HttpClientSecurityParameters> input)`
Set the list of input parameters to merge.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.beans.factory.FactoryBean

`isSingleton`

## Field Details

### parameters

@Nonnull @NonnullElements private List<HttpClientSecurityParameters> parameters
The list of input parameters to merge.

## Constructor Details

### HttpClientSecurityParametersMergingFactoryBean

public HttpClientSecurityParametersMergingFactoryBean()

## Method Details

### getObjectType

public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `FactoryBean<HttpClientSecurityParameters>`

### getParameters

@Nonnull @NonnullElements public List<HttpClientSecurityParameters> getParameters()
Get the list of input parameters to merge.

Returns:
  returns the list of input parameters to be merged

### setParameters

public void setParameters(@Nonnull @NonnullElements List<HttpClientSecurityParameters> input)
Set the list of input parameters to merge.

Parameters:
  `input` - the list of input parameters to merge

### getObject

@Nullable public HttpClientSecurityParameters getObject() throws Exception

Specified by:
  `getObject` in interface `FactoryBean<HttpClientSecurityParameters>`
Throws:
  `Exception`